# Version 1.1.0 – Upgrade - 2025-05

-  **New Segmentation Web App**  → [New Segmentation Designer](web_app:UcGqC6v)
  -  **Renamed**  from *New Segmentation* to *New Segmentation Designer*.
  -  **Restart Button** : Added functionality to clear and reset the UI across the entire web app.
- Building Tab:
   - Standardized label to `Segment_{n}` across both Rule-Based and ML segmentations, replacing "bins" and "clusters".
   - Introduced a new **Cluster** column, highlighted in the output table.
   - Added an explanatory **description** below the output table.
- Insights Tab:
  - Enhanced **feature importance** descriptions.
  - Added guidance on interpreting the **heatmap**.
  - Updated the heatmap to a **vision-impaired friendly color palette**.

-  **Update Segmentation Web App**  →[ Segmentation Manager](web_app:cB81HJ2)
  - **Renamed** from *Update Segmentation* to *Segmentation Manager*.
  - **Restart Button**: Added functionality to reset the full UI.

- Select Session Tab:
   - Replaced long scrollable list of all segmentations and versions with a **dropdown** for selecting a segmentation of interest. All versions are then displayed below.
   - **Delete Button**: Users can now delete specific segmentation versions. A confirmation box ensures users confirm or cancel the action. Active segmentations (latest results) **cannot** be deleted.
   - **Make Active Button**: Users can re-activate older segmentation versions if they provide better insights. Only **one version** can be active at a time.
   - **Update Button**: Updates are restricted to the **currently active version** only.
  - **Output Table Enhancements**: For accounts with a change in cluster assignment, an **Export to Flow** button has been added.
- Insights Tab:
   - Added improved **descriptions** for feature importance and the heatmap.
  - Updated the **heatmap color scheme** for better accessibility.

-  **Compare Segmentations Web App**  → [Multi Segmentation Explorer](web_app:vJbijSD)
   - **Renamed** from *Compare Segmentations* to *Multi Segmentation Explorer*.
  - Added **user guidance descriptions** throughout the interface to support interpretation and usability.
  
- Given the new functionalities in the web applications the following function in Dataiku Libraries have been updated:  ```create_empty_figure, display_file_content_old, read_pickle_from_managed_folder,```
```process_table_data_with_remap, feature_importance_rfclassifier, delete_confirmation_modal, ```
```load_segmentation_parameters, generate_feature_options, update_mixed_graph, histogram_figure,```
```update_cluster_pie_chart, update_numerical_feature_multiselect, create_average_heatmap, create_sankey,```
```create_metadata_record, save_data_to_dataiku, save_updated_data_to_dataiku.```

# Version 1.0.0 - Initial Release - 2024-10

- Dynamic Dashboard including three running Dash Web Applications. 
- Three Dash Web Applications for New Segmentation, Update Segmentation and Compare Sessions.
- Scenarios that update and clean solution components. 

